﻿:root {
    --AzulMuyOscuro: rgb(0, 45, 72);
    --AzulOscuro: rgb(0, 85, 135);
    --AzulOAAF: #2291d0;
    --GrisOscuroOAAF: #343334;
    --AzulClaroOAAF: #6fafd3;
    --GrisClaroOAAF: #a4a3a4;
    --GrisNeutro: #e9e9e9 --blue: #007bff;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #dc3545;
    --orange: #fd7e14;
    --yellow: #ffc107;
    --green: #28a745;
    --teal: #20c997;
    --cyan: #17a2b8;
    --white: #fff;
    --gray: #6c757d;
    --gray-dark: #343a40;
    --primary: #172073;
    --secondary: #5BA1BA;
    --success: #70A360;
    --info: #5BA1BA;
    --warning: #ffc107;
    --danger: #dc3545;
    --light: #f8f9fa;
    --dark: #343a40;
    --gray: #e9ecef;
    --gray400: #ced4da;
    --gray500: #adb5bd;
    --gray600: #6c757d;
    --breakpoint-xs: 0;
    --breakpoint-sm: 576px;
    --breakpoint-md: 768px;
    --breakpoint-lg: 992px;
    --breakpoint-xl: 1200px;
    --font-family-sans-serif: "Open Sans", sans-serif;
    --font-family-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}


.custom-pagination {
    display: flex;
    align-items: center;
    margin-top: 10px;
}

    .custom-pagination ul {
        padding-left: 0;
        margin-bottom: 0;
        list-style: none;
        display: flex;
    }

    .custom-pagination .page-button {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        min-width: 32px;
        height: 40px;
        border: 1px solid #ccc;
        background-color: #fff;
        color: #007bff;
        cursor: pointer;
        font-weight: 500;
        margin: 0;
        /*padding: 0 8px;*/
        aspect-ratio: 1/1;
        padding: var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);
    }

        /* Botón activo (página seleccionada) */
        .custom-pagination .page-button.active {
            background-color: #007bff;
            color: #fff;
            border-color: #007bff;
        }

        /* Estado deshabilitado en gris más oscuro */
        .custom-pagination .page-button:disabled {
            background-color: #e2e3e5; /* Gris algo más oscuro */
            color: #6c757d; /* Texto gris */
            border-color: #d1d1d1; /* Borde gris */
            cursor: not-allowed;
        }
        .custom-pagination .page-button:hover {
            z-index: 2;
            color: #0a58ca;
            background-color: #f8f9fa;
            border-color: #dee2e6;
        }

    /* Redondeo en las esquinas exteriores de la paginación */
    .custom-pagination ul li:first-child .page-button {
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
    }

    .custom-pagination ul li:last-child .page-button {
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
    }

    /* Puntos suspensivos */
    .custom-pagination .ellipsis {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        min-width: 32px;
        height: 40px;
        color: #999;
        padding: 0 8px;
    }


.gestionPropia {
    --AzulOAAF: #2291d0;
    --GrisOscuroOAAF: #343334;
    --AzulClaroOAAF: #6fafd3;
    --GrisClaroOAAF: #a4a3a4;
}

.gestionPersonal {
    --AzulOAAF: #343334;
    --AzulClaroOAAD: #a4a3a4;
    --GrisOscuroOAAF: #2291d0;
    --GrisClaroOAAF: #6fafd3;
}

@font-face {
    font-family: 'RobotoB';
    src: url('FUENTES/Roboto-Bold.ttf') format('truetype');
}

@font-face {
    font-family: 'RobotoI';
    src: url('FUENTES/Roboto-Italic.ttf') format('truetype');
}

@font-face {
    font-family: 'Roboto';
    src: url('FUENTES/Roboto-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'SatoshiB';
    src: url('FUENTES/Satoshi-Black.otf') format('opentype');
}

@font-face {
    font-family: 'Satoshi';
    src: url('FUENTES/Satoshi-Regular.otf') format('opentype');
}

.tablaMov{
    display:none;
}

.imgInfoPersona {
    border: 1px solid #ccc;
    text-align: center;
    cursor: pointer;
    max-width: 230px;
    width:100%;
    margin-bottom:15px;
    aspect-ratio: 1/1;
    display:flex;
    justify-content:center;
    overflow:hidden;
}
.inputlogin {
    margin-bottom: 20px;
    min-width: 300px;
}
body {
    font-family: 'Satoshi';
}

.btn:focus {
    box-shadow:none !important;
}
.falsoImput {
    border: 1px solid black;
    padding: 7px;
    border-radius: 2px;
    background-color: #efefef;
}
.hidden {
    display:none !important
}
.text-right {
    text-align:end;
}
.Cabecera {
    margin-bottom: 3rem;
}
.btnGris {
    background-color: #eeeeee;
    cursor: pointer;
    border: none;
}
.btnGris:hover{
    background-color: #bfbfbf;
}
#dropdownNavegador {
    left:-30px
}
.lblinputRP {
    margin: 0;
    font-weight: bold;
}
.inputRP {
    width:100%;
}
.dropdown-item:hover {
    color: white !important;
    background-color: var(--AzulMuyOscuro);
}
.tituloLbl {
    padding-bottom: 5px;
    font-weight: bold;
}
.inputForm {
    padding: 10px;
}
.navMov{
    display:none;
}
.tablaPicadas {
    margin-left: auto;
    margin-right: auto;
    max-height: 540px;
    /*overflow-y: scroll;*/
    /*overflow-x: hidden;*/
    position: relative;
    border: 1px solid black;
    border-collapse: collapse;
    width: 95%;
    background-color: #fafafa;
    overflow-x: auto;
}
    .tablaPicadas table {
        width: 100%;
    }
    .tablaPicadas td {
        padding-left: 5px;
        padding-right: 5px;
        width: auto;
        border: 1px solid black;
        border-collapse: collapse;
        background-color: white;
    }
    .tablaPicadas th {
        position: sticky;
        top: -1px;
        padding-left: 5px;
        padding-right: 5px;
        background-color: var(--AzulOAAF);
        color: white;
        font-weight: bold;      
        border-collapse: collapse;
        text-align: center;
    }
.table-striped > tbody > tr:nth-child(odd) > td,
.table-striped > tbody > tr:nth-child(odd) > th {
    background-color: white;
}
.popupRP{
    width:100%;
    height:100vh;
    position:fixed;
    top:0;
    left:0;
    background-color:#00000098;
    justify-content:center;
    align-items:center;
    z-index:20;
}
.popupRPCard{
    max-width:800px;
    padding:10px;
    background-color:white;
}
.menuMovil{
    display:none;
}
.iconBtn {
    background-color: #172073;
    color: white;
    opacity: 0.6;
    cursor: pointer;
    padding: 10px;
}
.iconBtn:hover {
    opacity:1;
}
.dxbs-pager, .dxbs-gridview .dxbs-pager{
    gap:15px;
}
    .dxbs-pager .page-size.form-inline{
        display:flex;
    }
    #mensajeDiv {
        z-index: 100;
        position: fixed;
        width: 100%;
        height: 100vh;
        background-color: #000000b2;
        display: none;
        justify-content: center;
        align-items: center;
    }
#mensajeCuerpo{
    background-color:white;
    padding:15px;
    min-width:300px;
    max-width:650px;
    min-height:150px;
}
#loadingDiv {
    z-index:100;
    position:fixed;
    width:100%;
    height:100vh;
    background-color:#000000b2;
    display:none;
    justify-content:center;
    align-items:center;
}
#loading {
    background-image: url('imagenes/logo-parlamento-blanco@2x.png');
    height:50px;
    width:200px;
    background-position:center;
    background-size:cover;    
}
.btnOAAFAzul:hover {
    opacity:1 !important;
}
.pagina {
    padding: 50px;
}
.tituloSeccion {
    font-size:30px;
    font-weight:bold;
    color:var(--AzulMuyOscuro)
}
.navBar {
    position:fixed;
    left:0;
    width:300px;
    height:100vh;
    display:flex;
    flex-direction:column;
    background-color:var(--AzulOscuro) ;
    border-collapse:collapse
}
.nav-link {
    cursor:pointer;
    color: var(--AzulClaroOAAF)
}
.nav-link:hover{
    color: var(--AzulOAAF)
}
.inputRegPers {
    border-radius: 5px;
    height: 50px;
    padding:10px;
    border: solid 1px var(--AzulMuyOscuro);
}
.cbdxbt input {
    border-radius: 5px;
    height: 50px;
    padding: 10px;
    border: solid 1px var(--AzulMuyOscuro);
}
.btnOAAFAzul {
    user-select: none;
    cursor: pointer;
    opacity: 0.6;
    transition: all 0.2s ease-in-out;
    background-color: var(--AzulOAAF);
    border-radius: 5px;
    font-family: 'Satoshi';
    border: none;
    color: white !important;
    padding: 10px;
    text-align: center;
    min-width:40px;
}
.btnOAAFBlack {
    user-select: none;
    cursor: pointer;
    padding: 10px;
    text-align: center;
    background-color: var(--GrisOscuroOAAF);
    border-radius: 5px;
    font-family: 'Satoshi';
    border: none;
    color: white !important;
    min-width:40px;
}
    .btnOAAFBlack:hover {
        opacity: 0.6;
    }
.cbdxbt .input-group-append {
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
    height: 50px;
    padding: 10px;
    border: solid 1px var(--AzulMuyOscuro);
    background-color: var(--AzulOscuro)
}
    .cbdxbt .input-group-append::before {
        content: "";
        height: 100%;
        width: 100%;
        display:flex;
        background-image: url('imagenes/dropParlamento.svg');
        background-size:80% 80%;
        background-position:center;
        background-repeat:no-repeat;
    }
    .cbdxbt .input-group-append:hover {
        background-color: var(--AzulMuyOscuro)
    }
    .tabsRegPers {
        margin-top:50px !important;
        display:flex;
        gap:30px;
    }
        .tabsRegPers li a {
            text-decoration: none !important;
            color: var(--AzulOscuro) !important;        
        }
        .tabsRegPers li .active a {
            font-weight:bold !important;
        }
.btnRegPers {
    background-color: var(--AzulOscuro);
    border-radius: 5px;
    min-width: 100%;
    color: white;
    transition: all 0.2s
}
    .btnRegPers:hover {
        color: white !important;
        background-color: var(--AzulMuyOscuro);
    }
.filaInvisible {
    display: none;
}
.tablaRegPers {
    margin-top:50px;
    width:100%;   
    border-collapse:collapse;

}
    .camposficha {
        padding-left: 15px;
        padding-top: 20px;
    }
.formatoCampos {
    flex-direction: column;
    display: flex;
}
.tablaRegPers th {
    text-align: center;
    background-color: var(--AzulOscuro);
    color: white !important;
    text-decoration: none !important;
    padding: 20px;
    padding-inline: 20px;
    overflow-inline: visible;
    border-inline: solid 1px white;
    width: auto;
    white-space: nowrap;
    font-size: 14px;
}
    .tablaRegPers th .btn-link {
        color:white;
    }
    .tablaRegPers th a {
        color: white !important;
        text-decoration: none !important;
    }
.tablaRegPers th a:hover {
    opacity: 0.6;
}
.tablaRegPers td {
    padding: 15px !important;
    padding-inline: 30px !important;
    border: solid 1px black;
    font-size: 14px !important;
}
.tablaRegPers td a {
    font-size:14px;
}
.linkNavActivo {
        background-color: var(--AzulMuyOscuro) !important;
    }
    .table .card {
        border: none !important;
    }
.table thead {
    text-align: left;
    color: var(--AzulOscuro);
    border: none !important;
}
    .table th {
        border: none !important;
    }
    .table td {
        border: none !important;
    }
.table a {
    color: var(--AzulOscuro) !important;
}
.table a:hover {
    color: var(--AzulMuyOscuro) !important;
}
.table {
    border:none !important;
    margin-top: 20px;
    border-collapse: collapse !important;

}
.table-bordered > :not(caption) > * {
     border-width: 0px 0px !important;
}   
    .table > tbody > tr > td {
       
        border-bottom: 1px solid gray !important;
    }
    .table > tbody > tr {
        border-bottom: 1px solid gray !important;
    }
    .table > thead > tr {
        border-bottom: 1px solid gray !important;
    }  
    table {
        border-collapse: unset;
    }
.marTop {
    margin-top:25px !important;
}
.nuevaRPT p {
    margin-bottom:0;
    margin-top:20px;
}
.lblInput {
    margin:0;
    font-size:12px;
    font-weight:bold;
    margin-top:10px;
}
.barraArribaHeader {
    background-color: var(--azul-parlamento) !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    padding-inline: 10px !important;
}
    .barraArribaHeader .nav-link {
        padding: 5px !important;
        filter: invert(1);
    }
        .barraArribaHeader .nav-link :hover {
            filter: brightness(5);
        }
#pa-main-menu {
    align-content: center !important;
}

#pa-main-menu .nav-item {
    padding-left: 30px !important;
    padding-right: 30px !important;
    border-bottom: 3px solid white !important;
}
    #pa-main-menu .nav-item:hover {
        color: var(--AzulMuyOscuro) !important;
        border-bottom: 3px solid var(--AzulMuyOscuro) !important;
    }
.loadingFrame {
    display: flex;
    background-color: #000000e5;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 10;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}
.loadingDiv{
    padding:20px;
    border-radius:5px;
    background-color:white;
    display:flex;
    justify-content:center;
    align-items:center;
}
.loadingImg {
    background-image: url(imagenes/cargaOAAF.gif);
    width: 80px;
    height: 80px;
    background-size: cover;
    background-position: center;
    transform: scale(1);   
}
#loginImg {
    height: 80px;
    margin-inline: auto;
    margin-bottom: 30px
}
#tituloLogin {
    text-align: center;
    color: white;
    font-size: 40px;
}

@media (max-width: 992px) {

 
    .Cabecera {
        margin-bottom: 1rem;
    }
    .pagina {
        padding: 15px;
    }

    .tablaRegPers {
        font-size: 10px;
        overflow-x: auto;
    }

    #cajaLogIn {
        padding: 25px !important;
        margin-inline:20px;        
    }
    .inputlogin {
        min-width: 0;
    }
    .loginImg {
        height: 65px;
    }
    #tituloLogin {
        text-align: center;
        color: white;
        font-size: 26px;
    }
    .page-link{
        font-size:15px !important;
    }
    .bb-grid-pagination-text {
        display:none !important;
    }
    .btnOAAFAzul{
        font-size:14px;
    }
    #btnCumplimientoTrienios, #btnVerTodos{
        font-size:11px;
    }
}

@media (max-width: 767px) {
    .tablaDesk {
        display: none;
    }

    .tablaMov {
        display: block
    }
    .navMov {
        display: flex;
        position:fixed;
        top:0;
        left:0;
        width:100%;
        z-index:100;
        background-color: white !important;
    }
    .page {
        margin-top:60px !important;
    }
    .menuMovil {
        width: 100%;
        position: fixed;
        flex-direction: column;
        margin-top: 11px;
        z-index: 100;
        background-color:white;
    }
    .btnNavMov {
        border-radius: 0;
        background-color: #172073;
        padding: 15px;
        padding-block: 5px;
        color: white;
        border: none;
        text-decoration:none;
        text-align:center;
    }
    .btnGrisNav {
        border-radius: 0;
        background-color: #eeeeee;
        padding: 15px;
        border-top: solid 1px darkgray;
        border-bottom: solid 1px darkgray;
        padding-block: 7px;
        color: black;
        border: none;
        text-decoration: none;
        text-align: center;
        margin-block: 1px;
    }
    .nav-tabs .nav-link {
        font-size: 12px;
        padding: 4px;
    }
}

@keyframes pulse {

    0% {
        transform: scale(0.95);
    }

    70% {
        transform: scale(1);
    }

    100% {
        transform: scale(0.95);
    }
}

 